package com.ssj.bean.sys.award.domain;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_stock")
public class AwardStock extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String merchantId;
	
	private String awardMaterialId;
	
	private Integer stockNumber;
	
	private Integer useNumber;
	
	public String getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(String merchantId) {
		this.merchantId = merchantId;
	}

	public String getAwardMaterialId() {
		return awardMaterialId;
	}

	public void setAwardMaterialId(String awardMaterialId) {
		this.awardMaterialId = awardMaterialId;
	}

	public Integer getStockNumber() {
		return stockNumber;
	}

	public void setStockNumber(Integer stockNumber) {
		this.stockNumber = stockNumber;
	}

	public Integer getUseNumber() {
		return useNumber;
	}

	public void setUseNumber(Integer useNumber) {
		this.useNumber = useNumber;
	}
	
	
}
